> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wikidata/items

> Get a Wikidata item (Q-id) with its labels, descriptions, aliases, statements and sitelinks

**Price:** 5 credits

**⚠️ Common errors:** 412: Item not found



## OpenAPI

````yaml /openapi/developer-data.json post /api/wikidata/items
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wikidata/items:
    post:
      tags:
        - /wikidata
      summary: /wikidata/items
      description: >-
        Get a Wikidata item (Q-id) with its labels, descriptions, aliases,
        statements and sitelinks


        **Price:** 5 credits


        **⚠️ Common errors:** 412: Item not found
      operationId: __api_wikidata_items_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WikidataItemsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WikidataItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WikidataItemsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        item:
          type: string
          minLength: 1
      type: object
      required:
        - item
    WikidataItem:
      properties:
        '@type':
          type: string
          default: WikidataItem
        id:
          type: string
        labels:
          additionalProperties:
            type: string
          type: object
          default: {}
        descriptions:
          additionalProperties:
            type: string
          type: object
          default: {}
        aliases:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
          default: {}
        statements:
          items:
            $ref: '#/components/schemas/WikidataStatement'
          type: array
          default: []
        sitelinks:
          items:
            $ref: '#/components/schemas/WikidataSitelink'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WikidataStatement:
      properties:
        '@type':
          type: string
          default: WikidataStatement
        id:
          anyOf:
            - type: string
            - type: 'null'
        property_id:
          type: string
        data_type:
          anyOf:
            - type: string
            - type: 'null'
        rank:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - $ref: '#/components/schemas/WikidataStatementValue'
            - type: 'null'
        qualifiers:
          items:
            $ref: '#/components/schemas/WikidataQualifier'
          type: array
          default: []
        references:
          items:
            $ref: '#/components/schemas/WikidataReference'
          type: array
          default: []
      type: object
      required:
        - property_id
    WikidataSitelink:
      properties:
        '@type':
          type: string
          default: WikidataSitelink
        wiki:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        badges:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - wiki
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    WikidataStatementValue:
      properties:
        '@type':
          type: string
          default: WikidataStatementValue
        type:
          anyOf:
            - type: string
            - type: 'null'
        content: {}
      type: object
    WikidataQualifier:
      properties:
        '@type':
          type: string
          default: WikidataQualifier
        property_id:
          type: string
        data_type:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - $ref: '#/components/schemas/WikidataStatementValue'
            - type: 'null'
      type: object
      required:
        - property_id
    WikidataReference:
      properties:
        '@type':
          type: string
          default: WikidataReference
        parts:
          items:
            $ref: '#/components/schemas/WikidataReferencePart'
          type: array
          default: []
      type: object
    WikidataReferencePart:
      properties:
        '@type':
          type: string
          default: WikidataReferencePart
        property_id:
          type: string
        data_type:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - $ref: '#/components/schemas/WikidataStatementValue'
            - type: 'null'
      type: object
      required:
        - property_id
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````